Page MenuHomePhorge

No OneTemporary

diff --git a/bin/makedoc.sh b/bin/makedoc.sh
index 02bc7a216..26757c0a7 100755
--- a/bin/makedoc.sh
+++ b/bin/makedoc.sh
@@ -1,29 +1,34 @@
-#!/bin/bash
+#!/usr/bin/env bash
+
+if [ -z "$SSH_TTY" ]
+then
+ if [ -z "$DEV_TTY" ]
+ then
+ echo "Not on the shell."
+ exit 1
+ fi
+fi
TITLE="RoundCube Classes"
PACKAGES="Core"
INSTALL_PATH="`dirname $0`/.."
PATH_PROJECT=$INSTALL_PATH/program/include
PATH_DOCS=$INSTALL_PATH/doc/phpdoc
+BIN_PHPDOC="`/usr/bin/which phpdoc`"
-if [ -x /usr/local/php5/bin/phpdoc ]
-then
- PATH_PHPDOC=/usr/local/php5/bin/phpdoc
-elif [ -x /usr/bin/phpdoc ]
+if [ ! -x "$BIN_PHPDOC" ]
then
- PATH_PHPDOC=/usr/bin/phpdoc
-else
- echo "phpdoc not found"
+ echo "phpdoc not found: $BIN_PHPDOC"
exit 1
fi
OUTPUTFORMAT=HTML
CONVERTER=frames
TEMPLATE=earthli
PRIVATE=off
# make documentation
-$PATH_PHPDOC -d $PATH_PROJECT -t $PATH_DOCS -ti "$TITLE" -dn $PACKAGES \
+$BIN_PHPDOC -d $PATH_PROJECT -t $PATH_DOCS -ti "$TITLE" -dn $PACKAGES \
-o $OUTPUTFORMAT:$CONVERTER:$TEMPLATE -pp $PRIVATE

File Metadata

Mime Type
text/x-diff
Expires
Sat, Mar 1, 12:38 PM (1 h, 4 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
167001
Default Alt Text
(1 KB)

Event Timeline